# Interface VocabTerm

public interface VocabTerm
Represents a term in an IVOA Vocabulary and its associated properties.

This class is written with reference to Version 2.0 of the document Vocabularies in the VO, and particularly the Desise serialization described there. Note that document is in Working Draft status at time of writing.

See Also:
  - Vocabularies in the VO, Section 3

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a human-readable description of the underlying concept.
`String`
`getLabel()`
Returns a human-readable string for display purposes.
`String[]`
`getNarrower()`
Returns a list of terms related to this one by semantic narrowing.
`String`
`getTerm()`
Returns the term token itself.
`String`
`getUseInstead()`
Returns the term that should be used instead of this one.
`String[]`
`getWider()`
Returns a list of terms related to this one by semantic widening.
`boolean`
`isDeprecated()`
Indicates whether this term is deprecated, and hence should be avoided.
`boolean`
`isPreliminary()`
Indicates whether this term is preliminary and hence may disappear without warning from the vocabulary.

## Method Details

### getTerm

String getTerm()
Returns the term token itself. This is the unqualified term name with no namespace or "#".

Returns:
  term

### getLabel

String getLabel()
Returns a human-readable string for display purposes.

Returns:
  label

### getDescription

String getDescription()
Returns a human-readable description of the underlying concept.

Returns:
  description

### isPreliminary

boolean isPreliminary()
Indicates whether this term is preliminary and hence may disappear without warning from the vocabulary.

Returns:
  preliminary flag

### isDeprecated

boolean isDeprecated()
Indicates whether this term is deprecated, and hence should be avoided.

Returns:
  deprecation flag
See Also:
  - `getUseInstead()`

### getWider

String[] getWider()
Returns a list of terms related to this one by semantic widening.

Returns:
  array of wider term strings

### getNarrower

String[] getNarrower()
Returns a list of terms related to this one by semantic narrowing.

Returns:
  array of narrower term strings

### getUseInstead

String getUseInstead()
Returns the term that should be used instead of this one. This should only return a non-null value for deprecated terms.

Returns:
  term to use instead of this deprecated term, or null
See Also:
  - `isDeprecated()`